/**
 * TYPOGRAPHY
 *
*/
/* Heading typography */
.rtds-heading-1 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-2xl);
    font-weight: 700;
}
@media (min-width: 1024px) {
    .rtds-heading-1 {
        font-size: 2rem;
        line-height: 1.2;
    }
}
@media (min-width: 1280px) {
    .rtds-heading-1 {
        font-size: var(--fontsize-text-4xl);
    }
}
@media (min-width: 1536px) {
    .rtds-heading-1 {
        font-size: var(--fontsize-text-5xl);
    }
}
.rtds-heading-2 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-xl);
    font-weight: 700;
}
@media (min-width: 1024px) {
    .rtds-heading-2 {
        font-size: var(--fontsize-text-2xl);
    }
}
@media (min-width: 1280px) {
    .rtds-heading-2 {
        font-size: var(--fontsize-text-2xl);
    }
}
@media (min-width: 1536px) {
    .rtds-heading-2 {
        font-size: 2rem;
        line-height: 1.2;
    }
}
.rtds-heading-3 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-lg);
    font-weight: 700;
}
@media (min-width: 1024px) {
    .rtds-heading-3 {
        font-size: var(--fontsize-text-xl);
    }
}
@media (min-width: 1280px) {
    .rtds-heading-3 {
        font-size: var(--fontsize-text-xl);
    }
}
@media (min-width: 1536px) {
    .rtds-heading-3 {
        font-size: var(--fontsize-text-xl);
    }
}
.rtds-heading-4 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-base);
    font-weight: 700;
}
@media (min-width: 1024px) {
    .rtds-heading-4 {
        font-size: var(--fontsize-text-lg);
    }
}
@media (min-width: 1280px) {
    .rtds-heading-4 {
        font-size: var(--fontsize-text-lg);
    }
}
@media (min-width: 1536px) {
    .rtds-heading-4 {
        font-size: var(--fontsize-text-lg);
    }
}
.rtds-heading-5 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-sm);
    font-weight: 700;
}
@media (min-width: 1024px) {
    .rtds-heading-5 {
        font-size: var(--fontsize-text-base);
    }
}
@media (min-width: 1280px) {
    .rtds-heading-5 {
        font-size: var(--fontsize-text-base);
    }
}
@media (min-width: 1536px) {
    .rtds-heading-5 {
        font-size: var(--fontsize-text-base);
    }
}
.rtds-heading-6 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-xs);
    font-weight: 700;
}
@media (min-width: 1024px) {
    .rtds-heading-6 {
        font-size: var(--fontsize-text-sm);
    }
}
@media (min-width: 1280px) {
    .rtds-heading-6 {
        font-size: var(--fontsize-text-sm);
    }
}
@media (min-width: 1536px) {
    .rtds-heading-6 {
        font-size: var(--fontsize-text-sm);
    }
}
/* Display Heading typography */
.rtds-display-heading-1 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-7xl);
}
@media (min-width: 768px) {
    .rtds-display-heading-1 {
        font-size: var(--fontsize-text-8xl);
    }
}
@media (min-width: 1024px) {
    .rtds-display-heading-1 {
        font-size: var(--fontsize-text-9xl);
    }
}
.rtds-display-heading-2 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-6xl);
}
@media (min-width: 768px) {
    .rtds-display-heading-2 {
        font-size: var(--fontsize-text-7xl);
    }
}
@media (min-width: 1024px) {
    .rtds-display-heading-2 {
        font-size: var(--fontsize-text-8xl);
    }
}
.rtds-display-heading-3 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-5xl);
}
@media (min-width: 768px) {
    .rtds-display-heading-3 {
        font-size: var(--fontsize-text-6xl);
    }
}
@media (min-width: 1024px) {
    .rtds-display-heading-3 {
        font-size: var(--fontsize-text-7xl);
    }
}
.rtds-display-heading-4 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-4xl);
}
@media (min-width: 768px) {
    .rtds-display-heading-4 {
        font-size: var(--fontsize-text-5xl);
    }
}
@media (min-width: 1024px) {
    .rtds-display-heading-4 {
        font-size: var(--fontsize-text-6xl);
    }
}
.rtds-display-heading-5 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: 2rem;
    line-height: 1.2;
}
@media (min-width: 768px) {
    .rtds-display-heading-5 {
        font-size: var(--fontsize-text-4xl);
    }
}
@media (min-width: 1024px) {
    .rtds-display-heading-5 {
        font-size: var(--fontsize-text-5xl);
    }
}
.rtds-display-heading-6 {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-2xl);
}
@media (min-width: 768px) {
    .rtds-display-heading-6 {
        font-size: 2rem;
        line-height: 1.2;
    }
}
@media (min-width: 1024px) {
    .rtds-display-heading-6 {
        font-size: var(--fontsize-text-4xl);
    }
}
/* Body typography */
.rtds-body-xs {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-xs);
    font-weight: 400;
    line-height: 1.5;
}
.rtds-body-xs-bold {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-xs);
    line-height: 1.5;
    font-weight: 700;
}
.rtds-body-xs-medium {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-xs);
    font-weight: 500;
    line-height: 1.5;
}
.rtds-body-sm {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-sm);
    font-weight: 400;
    line-height: 1.57;
}
.rtds-body {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-base);
    font-weight: 400;
    line-height: 1.625;
}
@media (min-width: 1024px) {
    .rtds-body {
        font-size: var(--fontsize-text-base);
    }
}
@media (min-width: 1280px) {
    .rtds-body {
        font-size: var(--fontsize-text-lg);
    }
}
@media (min-width: 1536px) {
    .rtds-body {
        font-size: var(--fontsize-text-lg);
    }
}
.rtds-body-lg {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-base);
    font-weight: 400;
    line-height: 1.57;
}
@media (min-width: 1024px) {
    .rtds-body-lg {
        font-size: var(--fontsize-text-lg);
    }
}
.rtds-body-xl {
    font-family: var(--fontfamily-sans), sans-serif;
    font-size: var(--fontsize-text-xl);
    font-weight: 400;
    line-height: 1.5;
}
